<?php


/**
 * @Copyright Copyright (C) 2009-2010 Ahmad Bilal
 * @license GNU/GPL http://www.gnu.org/copyleft/gpl.html
 * Company:     Buruj Solutions
 + Contact:     www.burujsolutions.com , info@burujsolutions.com
 * Created on:  Nov 22, 2010
 ^
 + Project:     JS Jobs
 ^ 
 */

// no direct access
defined('_JEXEC') or die('Restricted access');


jimport('joomla.application.component.view');

class JSJobsViewReport extends JSView {

    function display($tpl = null) {
        require_once JPATH_COMPONENT_ADMINISTRATOR . '/views/common.php';
        if ($layoutName == 'resume1') {
            require_once(JPATH_ROOT . '/components/com_jsjobs/models/resume.php');
            if (isset($user->groups[8]) OR isset($user->groups[7])) {
                $isadmin = 1;
            }
            $resumeid = JFactory::getApplication()->input->get('rd', '');
            $myresume = JFactory::getApplication()->input->get('nav', '');
            $folderid = JFactory::getApplication()->input->get('fd', '');
            $sortvalue = $sort = JFactory::getApplication()->input->get('sortby', false);
            $tabaction = JFactory::getApplication()->input->get('ta', false);
            $show_only_section_that_have_value = $this->getJSModel('configuration')->getConfigValue('show_only_section_that_have_value');
            $resumeid = JFactory::getApplication()->input->get('rd');
            if (is_numeric($resumeid) == true) {
                $resume_object = new JSJobsModelResume();
                $result = $resume_object->getResumeViewbyId($uid, false, $resumeid, $myresume, $sort, $tabaction);
            }
            $this->resume = $result['personal'];
            $this->addresses = $result['addresses'];
            $this->institutes = $result['institutes'];
            $this->employers = $result['employers'];
            $this->skills = $result['skills'];
            $this->editor = $result['editor'];
            $this->references = $result['references'];
            $this->languages = $result['languages'];
            $this->fieldsordering = $result['fieldsordering'];
            $this->userfields = $result['userfields'];
            $user = JFactory::getUser();
            $this->isadmin = $isadmin;
        }
        $this->config = $config;
        $document = JFactory::getDocument();
        $document->setTitle('Resume');
        parent::display();
    }

}

?>
